#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityFishingCeleLotteryTicketShopData
{
	//ID
	int mID;
	//抽奖次数
	int mLotteryCount;
	//需要钻石
	int mNeedCount;
	//奖励抽奖券数量
	int mTicketCount;
};

class M_ActivityFishingCeleLotteryTicketShop
{
public:
private:
	static std::auto_ptr<M_ActivityFishingCeleLotteryTicketShop> msSingleton;
public:
	int GetCount();
	const M_ActivityFishingCeleLotteryTicketShopData* GetData(int ID);
	boost::unordered_map<int, M_ActivityFishingCeleLotteryTicketShopData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityFishingCeleLotteryTicketShop* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityFishingCeleLotteryTicketShopData> mMapData;
};
